List all bank rails
curl --request GET \
--url https://api.example.com/api/v1/banks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/banks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/banks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"banks": [
{
"rail": "uaefts_named-zand",
"bankName": "<string>",
"country": "<string>",
"currency": "<string>",
"type": "sepa",
"method": "sepa",
"methods": [
"sepa"
],
"pooled": true,
"compliance": 123,
"bankIcon": "<string>",
"depositFee": 123,
"feeBps": "<string>",
"timeToOpen": "<1 day",
"status": "not_started",
"capabilities": {
"memoSupported": true,
"minAmount": 123,
"rails": [
{
"method": "<string>",
"name": "<string>",
"minAmount": 123,
"fixedFee": 123,
"memoLengthLimit": 123,
"amountToSupported": false,
"sourceTokens": [
"USDC"
]
}
],
"memoLengthLimit": 123,
"supportedTokens": [
"USDC"
]
},
"accountHolderBusinessName": "<string>",
"accountHolderFirstName": "<string>",
"accountHolderLastName": "<string>",
"ibanData": {
"bankName": "<string>",
"accountHolderType": "individual",
"beneficiaryName": "<string>",
"bankAddress": {
"addressLine1": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"currency": "<string>",
"accountHolderFirstName": "<string>",
"accountHolderLastName": "<string>",
"accountHolderBusinessName": "<string>",
"accountHolderAddress": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"zip": "<string>"
},
"relationship": "employee",
"businessIndustry": "<string>",
"paymentReference": "<string>",
"accountType": "sepa",
"ibanNumber": "<string>",
"bic": "<string>"
},
"features": {
"1pt_payin": "enabled",
"3pt_payin": "enabled",
"1pt_payout": "enabled",
"3pt_payout": "enabled"
},
"depositToken": "USDC",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalAccountId": "<string>",
"psp": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"rails": {
"us": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"swift": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"eu": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"uae": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"br": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"mx": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"co": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"ar": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"uk": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
}
},
"allOptions": [
{
"rail": "uaefts_named-zand",
"bankName": "<string>",
"country": "<string>",
"currency": "<string>",
"type": "sepa",
"method": "sepa",
"methods": [
"sepa"
],
"pooled": true,
"compliance": 123,
"bankIcon": "<string>",
"depositFee": 123,
"feeBps": "<string>",
"timeToOpen": "<1 day",
"status": "not_started",
"capabilities": {
"memoSupported": true,
"minAmount": 123,
"rails": [
{
"method": "<string>",
"name": "<string>",
"minAmount": 123,
"fixedFee": 123,
"memoLengthLimit": 123,
"amountToSupported": false,
"sourceTokens": [
"USDC"
]
}
],
"memoLengthLimit": 123,
"supportedTokens": [
"USDC"
]
},
"accountHolderBusinessName": "<string>",
"accountHolderFirstName": "<string>",
"accountHolderLastName": "<string>",
"ibanData": {
"bankName": "<string>",
"accountHolderType": "individual",
"beneficiaryName": "<string>",
"bankAddress": {
"addressLine1": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"currency": "<string>",
"accountHolderFirstName": "<string>",
"accountHolderLastName": "<string>",
"accountHolderBusinessName": "<string>",
"accountHolderAddress": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"zip": "<string>"
},
"relationship": "employee",
"businessIndustry": "<string>",
"paymentReference": "<string>",
"accountType": "sepa",
"ibanNumber": "<string>",
"bic": "<string>"
},
"features": {
"1pt_payin": "enabled",
"3pt_payin": "enabled",
"1pt_payout": "enabled",
"3pt_payout": "enabled"
},
"depositToken": "USDC",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalAccountId": "<string>",
"psp": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Banks
List all bank rails
Return every supported bank rail. Rails the user has activated come from the Bank table (with status / iban_data); rails the user has not activated are returned from the static BANK_INFO registry with status=not_started and iban_data=None. If a rail’s provider KYC is APPROVED but no ACTIVE Bank row exists yet, syncs lazily from Swipelux / Align before returning.
GET
/
api
/
v1
/
banks
List all bank rails
curl --request GET \
--url https://api.example.com/api/v1/banks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/banks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/banks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"banks": [
{
"rail": "uaefts_named-zand",
"bankName": "<string>",
"country": "<string>",
"currency": "<string>",
"type": "sepa",
"method": "sepa",
"methods": [
"sepa"
],
"pooled": true,
"compliance": 123,
"bankIcon": "<string>",
"depositFee": 123,
"feeBps": "<string>",
"timeToOpen": "<1 day",
"status": "not_started",
"capabilities": {
"memoSupported": true,
"minAmount": 123,
"rails": [
{
"method": "<string>",
"name": "<string>",
"minAmount": 123,
"fixedFee": 123,
"memoLengthLimit": 123,
"amountToSupported": false,
"sourceTokens": [
"USDC"
]
}
],
"memoLengthLimit": 123,
"supportedTokens": [
"USDC"
]
},
"accountHolderBusinessName": "<string>",
"accountHolderFirstName": "<string>",
"accountHolderLastName": "<string>",
"ibanData": {
"bankName": "<string>",
"accountHolderType": "individual",
"beneficiaryName": "<string>",
"bankAddress": {
"addressLine1": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"currency": "<string>",
"accountHolderFirstName": "<string>",
"accountHolderLastName": "<string>",
"accountHolderBusinessName": "<string>",
"accountHolderAddress": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"zip": "<string>"
},
"relationship": "employee",
"businessIndustry": "<string>",
"paymentReference": "<string>",
"accountType": "sepa",
"ibanNumber": "<string>",
"bic": "<string>"
},
"features": {
"1pt_payin": "enabled",
"3pt_payin": "enabled",
"1pt_payout": "enabled",
"3pt_payout": "enabled"
},
"depositToken": "USDC",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalAccountId": "<string>",
"psp": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"rails": {
"us": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"swift": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"eu": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"uae": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"br": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"mx": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"co": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"ar": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"uk": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
}
},
"allOptions": [
{
"rail": "uaefts_named-zand",
"bankName": "<string>",
"country": "<string>",
"currency": "<string>",
"type": "sepa",
"method": "sepa",
"methods": [
"sepa"
],
"pooled": true,
"compliance": 123,
"bankIcon": "<string>",
"depositFee": 123,
"feeBps": "<string>",
"timeToOpen": "<1 day",
"status": "not_started",
"capabilities": {
"memoSupported": true,
"minAmount": 123,
"rails": [
{
"method": "<string>",
"name": "<string>",
"minAmount": 123,
"fixedFee": 123,
"memoLengthLimit": 123,
"amountToSupported": false,
"sourceTokens": [
"USDC"
]
}
],
"memoLengthLimit": 123,
"supportedTokens": [
"USDC"
]
},
"accountHolderBusinessName": "<string>",
"accountHolderFirstName": "<string>",
"accountHolderLastName": "<string>",
"ibanData": {
"bankName": "<string>",
"accountHolderType": "individual",
"beneficiaryName": "<string>",
"bankAddress": {
"addressLine1": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"currency": "<string>",
"accountHolderFirstName": "<string>",
"accountHolderLastName": "<string>",
"accountHolderBusinessName": "<string>",
"accountHolderAddress": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"zip": "<string>"
},
"relationship": "employee",
"businessIndustry": "<string>",
"paymentReference": "<string>",
"accountType": "sepa",
"ibanNumber": "<string>",
"bic": "<string>"
},
"features": {
"1pt_payin": "enabled",
"3pt_payin": "enabled",
"1pt_payout": "enabled",
"3pt_payout": "enabled"
},
"depositToken": "USDC",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalAccountId": "<string>",
"psp": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Was this page helpful?